package com.huimv.env.produce.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.env.common.utils.DateUtil;
import com.huimv.env.produce.entity.Tupping;
import com.huimv.env.produce.entity.WarningInfo;
import com.huimv.env.produce.mapper.TuppingMapper;
import com.huimv.env.produce.service.TuppingService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zn
 * @since 2022-10-30
 */
@Service
public class TuppingServiceImpl extends ServiceImpl<TuppingMapper, Tupping> implements TuppingService {
    @Autowired
    private TuppingMapper tuppingMapper;

    @Override
    public Object getTuppingCount(Map<String, String> paramsMap) throws ParseException {
        String farmCode = paramsMap.get("farmCode");
        QueryWrapper<Tupping> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("farm_code",farmCode);
        queryWrapper.eq("process_state",0);
        queryWrapper.orderByDesc("add_date");
        return tuppingMapper.selectCount(queryWrapper);
    }
}
